LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::accessibility::AccessibleTextType Constant Group Reference

Collection of types of text portions. More...

## Variables
const short | CHARACTER = 1
| Single character. More...
const short | WORD = 2
| Single word. More...
const short | SENTENCE = 3
| Single sentence. More...
const short | PARAGRAPH = 4
| Single paragraph. More...
const short | LINE = 5
| Single line. More...
const short | GLYPH = 6
| Single glyph. More...
const short | ATTRIBUTE_RUN = 7
| Attribute run. More...

## Detailed Description

Collection of types of text portions.

This collection describes the types of text portions that can be accessed with the help of the methods of the XAccessibleText interface.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ ATTRIBUTE_RUN

const short ATTRIBUTE_RUN = 7

Attribute run.

Each attribute run is a character run of maximal length where all characters have the same attributes set.

## ◆ CHARACTER

const short CHARACTER = 1

Single character.

Indicates that single (multibyte) characters are used.

## ◆ GLYPH

const short GLYPH = 6

Single glyph.

Glyphs are runs of one or more (multibyte) characters which are displayed as one symbol.

## ◆ LINE

const short LINE = 5

Single line.

Indicates that single lines, as displayed on the screen, are used. In contrast to the constants CHARACTER, WORD, SENTENCE, and PARAGRAPH which are content oriented this constant is view oriented. It can be used to retrieve hyphenation information.

## ◆ PARAGRAPH

const short PARAGRAPH = 4

Single paragraph.

Indicates that single paragraphs are used. The definition of what a paragraph is, is implementation and language/locale dependent.

## ◆ SENTENCE

const short SENTENCE = 3

Single sentence.

Indicates that single sentences are used. The definition of what a sentence is, is implementation and language/locale dependent. While in English a sentence is ended by a period, this is not necessarily true in other languages.

## ◆ WORD

const short WORD = 2

Single word.

Indicates that single words are used. The definition of what a word is, is implementation and language/locale dependent. While in English a word is ended by a space or a special character like a comma or a period, this is not necessarily true in other languages.